Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Mobile
Class MobileNode

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SimpleNode
                  SEdit.Formalisms.Mobile.MobileNode

Direct Known Subclasses:
  FixedMobileNode

    public class MobileNode

extends SimpleNode

CLASSE MobileNode

Field Summary

Fields inherited from class SEdit.SimpleNode
`inArrows, outArrows`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`MobileNode()`

Method Summary
`void` | `addDx(double _dx)`
`void` | `addDy(double _dy)`
`double` | `getDx()`
`double` | `getDy()`
`boolean` | `isFixed()`
`void` | `setDx(double _dx)`
`void` | `setDy(double _dy)`
`void` | `setFixed(boolean f)`

Methods inherited from class SEdit.SimpleNode
`addInArrow, addOutArrow, delete, deleteInArrow, deleteOutArrow, getInArrows, getInArrows, getOutArrows, getOutArrows, isConnectable, toString`

Methods inherited from class SEdit.SNode
`activate, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MobileNode

    public MobileNode()

Method Detail

### setDx

    public void setDx(double _dx)

### setDy

    public void setDy(double _dy)

### addDx

    public void addDx(double _dx)

### addDy

    public void addDy(double _dy)

### getDx

    public double getDx()

### getDy

    public double getDy()

### isFixed

    public boolean isFixed()

### setFixed

    public void setFixed(boolean f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.